Mac OS X : Java for Mac OS X 10.6 Update 1

high Nessus Plugin ID 43003
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote host has a version of Java that is affected by multiple vulnerabilities.

Description

The remote Mac OS X host is running a version of Java for Mac OS X 10.6 that is missing Update 1.

The remote version of this software contains several security vulnerabilities, including some that may allow untrusted Java applets to obtain elevated privileges and lead to execution of arbitrary code with the privileges of the current user.

Solution

Upgrade to Java for Mac OS X 10.6 Update 1 or later.

See Also

http://support.apple.com/kb/HT3969

http://lists.apple.com/archives/security-announce/2009/Dec/msg00000.html

http://www.securityfocus.com/advisories/18434

Plugin Details

Severity: High

ID: 43003

File Name: macosx_java_10_6_update1.nasl

Version: 1.18

Type: local

Agent: macosx

Published: 12/4/2009

Updated: 7/14/2018

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Critical

Score: 9.9

CVSS v2

Risk Factor: High

Base Score: 9.3

Temporal Score: 8.1

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: E:H/RL:OF/RC:C

Vulnerability Information

Required KB Items: Host/MacOSX/packages

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 12/3/2009

Vulnerability Publication Date: 12/3/2009

Exploitable With

CANVAS (CANVAS)

Core Impact

Metasploit (Sun Java JRE AWT setDiffICM Buffer Overflow)

Reference Information

CVE: CVE-2009-2843, CVE-2009-3728, CVE-2009-3865, CVE-2009-3866, CVE-2009-3867, CVE-2009-3868, CVE-2009-3869, CVE-2009-3871, CVE-2009-3872, CVE-2009-3873, CVE-2009-3874, CVE-2009-3875, CVE-2009-3877, CVE-2009-3884

BID: 36881, 37206

CWE: 310